Bug 113337 - RuntimeError: /usr/sbin/mkraid can not be run
RuntimeError: /usr/sbin/mkraid can not be run
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-12 15:52 EST by Mike McLean
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-13 15:35:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McLean 2004-01-12 15:52:49 EST
* rawhide-20040112 i386
* raid5 kickstart install

Getting the following traceback.  There is no mkraid in /usr/sbin (or
anywhere else that I can see).

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 1047, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 242, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 766, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 168, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 236, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 533, in turnOnFilesystems
    thefsset.makeFilesystems (instPath)
  File "/usr/lib/anaconda/fsset.py", line 1340, in makeFilesystems
    self.formatEntry(entry, chroot)
  File "/usr/lib/anaconda/fsset.py", line 1268, in formatEntry
    entry.fsystem.formatDevice(entry, self.progressWindow, chroot)
  File "/usr/lib/anaconda/fsset.py", line 606, in formatDevice
    extFileSystem.formatDevice(self, entry, progress, chroot)
  File "/usr/lib/anaconda/fsset.py", line 518, in formatDevice
    devicePath = entry.device.setupDevice(chroot)
  File "/usr/lib/anaconda/fsset.py", line 1795, in setupDevice
    stderr="/dev/tty5", stdout="/dev/tty5")
  File "/usr/lib/anaconda/iutil.py", line 61, in execWithRedirect
    raise RuntimeError, command + " can not be run"
RuntimeError: /usr/sbin/mkraid can not be run
Comment 2 Kaj J. Niemi 2004-01-12 19:16:20 EST
raidtools got removed from rawhide a few days ago..
Comment 3 Jeremy Katz 2004-01-13 15:35:09 EST
Elliot deprecated the package without making sure that everything that
used it had been ported to raidtools.  Should be back now.

Note You need to log in before you can comment on or make changes to this bug.